Get Products At All Banks
GET /obp/v7.0.0/products
OBPv6.0.0-getAllProductsV600 No role required Product
Returns the financial Products offered by every bank this instance knows about, merged into a single list. Each product carries its bank_id.
Optional query parameter tag — filter to products that carry the given tag (e.g. ?tag=featured). Tag matching is case-insensitive. Repeat tag= to require multiple tags.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
JSON response body fields (12)
- bank_id
- gh.29.uk
- description
- Description of the object. Maximum length is 2000. It can be any characters here.
- id
- d8839721-ad8f-45dd-9f78-2080414b93f9
- license
- meta
- more_info_url
- www.example.com/abc
- name
- ACCOUNT_MANAGEMENT_FEE
- parent_product_code
- 787LOW
- product_code
- 1234BW
- products
- tags
- Create-My-User
- terms_and_conditions_url
- www.example.com/xyz
Example success response
{
"products": [
{
"bank_id": "gh.29.uk",
"product_code": "1234BW",
"parent_product_code": "parent",
"name": "product name",
"more_info_url": "www.example.com/prod1/more-info.html",
"terms_and_conditions_url": "www.example.com/prod1/terms.html",
"description": "Description",
"meta": {
"license": {
"id": "ODbL-1.0",
"name": "Open Database License"
}
},
"tags": [
"featured",
"new"
]
}
]
}Possible errors (2)
- OBP-50000: Unknown Error.
- OBP-20001: User not logged in. Authentication is required!